# Interface MappingType

Type of a mapping

#### Category

Container types

#### Hierarchy

- MappingType

- Defined in codec/lib/format/types.ts:272

#####
Index

### Properties

keyType
location?
typeClass
valueType

## Properties

### keyType

keyType: ElementaryType

- Defined in codec/lib/format/types.ts:274

### `Optional` location

location?: "storage"

- Defined in codec/lib/format/types.ts:276

### typeClass

typeClass: "mapping"

- Defined in codec/lib/format/types.ts:273

### valueType

valueType: Type

- Defined in codec/lib/format/types.ts:275

Generated using TypeDoc